## com.artofsolving.jodconverter.openoffice.connection
Class SocketOpenOfficeConnection

    java.lang.Object
      com.artofsolving.jodconverter.openoffice.connection.AbstractOpenOfficeConnection
          com.artofsolving.jodconverter.openoffice.connection.SocketOpenOfficeConnection

All Implemented Interfaces:
  OpenOfficeConnection, com.sun.star.lang.XEventListener, com.sun.star.uno.XInterface, java.util.EventListener

    public class SocketOpenOfficeConnection

extends AbstractOpenOfficeConnection

Field Summary
`static java.lang.String` `DEFAULT_HOST`
`static int` `DEFAULT_PORT`

Fields inherited from class com.artofsolving.jodconverter.openoffice.connection.AbstractOpenOfficeConnection
`logger`

Fields inherited from interface com.sun.star.lang.XEventListener
`UNOTYPEINFO`

Constructor Summary
`SocketOpenOfficeConnection()`
`SocketOpenOfficeConnection(int port)`
`SocketOpenOfficeConnection(java.lang.String host, int port)`

Method Summary

Methods inherited from class com.artofsolving.jodconverter.openoffice.connection.AbstractOpenOfficeConnection
`connect, disconnect, disposing, getBridge, getComponentContext, getDesktop, getFileContentProvider, getRemoteServiceManager, isConnected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_HOST

    public static final java.lang.String DEFAULT_HOST

See Also:
  Constant Field Values

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

Constructor Detail

### SocketOpenOfficeConnection

    public SocketOpenOfficeConnection()

### SocketOpenOfficeConnection

    public SocketOpenOfficeConnection(int port)

### SocketOpenOfficeConnection

    public SocketOpenOfficeConnection(java.lang.String host,
                                      int port)

Copyright © 2003-2009 Art of Solving. All Rights Reserved.